com.corticon.eclipse.studio.drivers.core

## Class DDSalesforceDialect

- java.lang.Object
- - org.hibernate.dialect.Dialect
  - - org.hibernate.dialect.HSQLDialect
    - - com.corticon.eclipse.studio.drivers.core.DDSalesforceDialect

- All Implemented Interfaces:
    org.hibernate.exception.spi.ConversionContext

      public class DDSalesforceDialect
      extends org.hibernate.dialect.HSQLDialect

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.hibernate.dialect.HSQLDialect

      `org.hibernate.dialect.HSQLDialect.ReadUncommittedLockingStrategy`

  - ### Field Summary

    - ### Fields inherited from class org.hibernate.dialect.Dialect

      `CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STREAM_XFER_LOB_MERGE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DDSalesforceDialect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `appendIdentitySelectToInsert(java.lang.String insertSQL)`
    `boolean` | `supportsInsertSelectIdentity()`

    - ### Methods inherited from class org.hibernate.dialect.HSQLDialect

      `bindLimitParametersFirst, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, dropTemporaryTableAfterUse, generateTemporaryTableName, getAddColumnString, getCreateSequenceString, getCreateTemporaryTablePostfix, getCreateTemporaryTableString, getCurrentTimestampSelectString, getCurrentTimestampSQLFunctionName, getDropSequenceString, getDropTemporaryTableString, getForUpdateString, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getLimitString, getLockingStrategy, getQuerySequencesString, getSelectClauseNullString, getSelectSequenceNextValString, getSequenceNextValString, getViolatedConstraintNameExtracter, isCurrentTimestampSelectStringCallable, performTemporaryTableDDLInIsolation, requiresCastingOfParametersInSelectClause, supportsColumnCheck, supportsCommentOn, supportsCurrentTimestampSelection, supportsEmptyInList, supportsIdentityColumns, supportsIfExistsAfterTableName, supportsLimit, supportsLobValueChangePropogation, supportsLockTimeouts, supportsPooledSequences, supportsSequences, supportsTemporaryTables, supportsTupleDistinctCounts, supportsUnionAll, toBooleanValueString`

    - ### Methods inherited from class org.hibernate.dialect.Dialect

      `appendLockHint, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersInReverseOrder, buildLimitHandler, buildSQLExceptionConversionDelegate, buildSQLExceptionConverter, cast, cast, cast, closeQuote, contributeTypes, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, dropConstraints, forceLimitUsage, forceLobAsLastValue, forUpdateOfColumns, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getCascadeConstraintsString, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCrossJoinSeparator, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getDropTableString, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentitySelectString, getInExpressionCountLimit, getKeywords, getLimitString, getLobMergeStrategy, getLowercaseFunction, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getNotExpression, getNullColumnString, getReadLockString, getResultSet, getSelectGUIDString, getSqlTypeDescriptorOverride, getTableComment, getTableTypeString, getTypeName, getTypeName, getUniqueDelegate, getWriteLockString, hasAlterTable, hasDataTypeInIdentityColumn, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, openQuote, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, registerResultSetOutParameter, remapSqlTypeDescriptor, renderOrderByElement, replaceResultVariableInOrderByClauseWithPosition, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsExistsInSelect, supportsExpectedLobUsagePattern, supportsIfExistsBeforeTableName, supportsLimitOffset, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInInList, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toString, transformSelectString, useFollowOnLocking, useInputStreamToInsertBlob, useMaxForLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DDSalesforceDialect

          public DDSalesforceDialect()

  - ### Method Detail

    - #### appendIdentitySelectToInsert

          public java.lang.String appendIdentitySelectToInsert(java.lang.String insertSQL)

      Overrides:
        `appendIdentitySelectToInsert` in class `org.hibernate.dialect.Dialect`

    - #### supportsInsertSelectIdentity

          public boolean supportsInsertSelectIdentity()

      Overrides:
        `supportsInsertSelectIdentity` in class `org.hibernate.dialect.Dialect`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.